<?php
if (isset($_GET['file'])) {
    $file = $_GET['file'];
    $filepath = 'documentos/' . $file; // Asumiendo que los PDFs están en la carpeta 'documentos'

    if (file_exists($filepath)) {
        header('Content-Description: File Transfer');
        header('Content-Type: application/pdf');
        header('Content-Disposition: attachment; filename="' . basename($filepath) . '"');
        header('Expires: 0');
        header('Cache-Control: must-revalidate');
        header('Pragma: public');
        header('Content-Length: ' . filesize($filepath));
        readfile($filepath);
        exit;
    } else {
        echo "Error: Archivo no encontrado.";
    }
} else {
    echo "Error: No se especificó ningún archivo.";
}
?>
